image: maven:3-jdk-8


cache:
  paths:
    - .m2/


variables:
  MAVEN_CLI_OPTS: "--batch-mode"
  MAVEN_OPTS: "-Dmaven.artifact.threads=15 -Dmaven.repo.local=.m2"

stages:
  - deploy

push-image-latest:
  stage: deploy
  script:
    - mvn $MAVEN_CLI_OPTS clean compile jib:build -Djib.to.image=registry.gitlab.com/pujo.j/simpleavrotransform:latest
  only:
    - /^master$/

push-image-tag:
  stage: deploy
  script:
    - mvn $MAVEN_CLI_OPTS clean compile jib:build -Dregistry.gitlab.com/pujo.j/simpleavrotransform:${CI_BUILD_REF_NAME}
  only:
    - tags


